## devil 1.7.8

=== debian/changelog ===
devil (1.7.8-7ubuntu3) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 16:45:04 +0100

devil (1.7.8-7ubuntu2) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 12 Oct 2013 07:35:55 -0600

devil (1.7.8-7ubuntu1) saucy; urgency=low

  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 13:43:19 -0600

devil (1.7.8-7) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA group.
  * Change dependencies on libtiff4-dev to libtiff-dev. Closes: #682176
  * Change dependencies on libpng12-dev to libpng-dev. Closes: #662298
  * New patch png_set_expand_gray_1_2_4_to_8. Closes: #649554
    Based on a patch by Nobuhiro Iwamatsu.
  * debian/ cleanup:
    + use dh
    + bump debhelper compat to 9
      - this automatically enables hardening flags. Closes: #653535
    + use source format 3.0 (quilt)
    + remove obsolete VCS links

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 21 May 2013 00:00:34 +0200

devil (1.7.8-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field. 
    Closes: #633168.
  * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev.
    Closes: #633691.  

 -- Muammar El Khatib <muammar@debian.org>  Sun, 31 Jul 2011 23:15:16 +0200

devil (1.7.8-6) unstable; urgency=high

  * Fix CVE-2009-3994. Closes: #560080.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 08 Dec 2009 20:09:02 +0000

devil (1.7.8-5) unstable; urgency=low

  * Fix FTBFS. Closes: #545959.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 10 Sep 2009 19:38:13 +0100

devil (1.7.8-4) unstable; urgency=low

  * Add missing depends to libdevil-dev. Closes: #531888.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 13:47:46 +0100

devil (1.7.8-3) unstable; urgency=low

  * Fix kfreebsd FTBFS. Patch thanks to Cyril Brulebois <kibi@debian.org>
    Closes: #541889.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 17 Aug 2009 19:48:31 +0100

devil (1.7.8-2) unstable; urgency=low

  * Add missing libraries in linking of ILUT. Closes: #525363.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 26 Apr 2009 14:41:45 +0100

devil (1.7.8-1) unstable; urgency=low

  * New upstream release.
  * Add liballegro4.2-dev to Build-Depends.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Tue, 24 Mar 2009 18:28:21 +0000

devil (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    - 00_endian_and_ILvoid_fixes - Remove (Gone upstream).
    - 02_add_missing_files - Remove (Gone upstream).
    - 03_CVE-2008-5262 - Remove (Gone upstream).
  * Install pkgconfig files.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 15 Feb 2009 21:41:36 +0000

devil (1.7.5-4) unstable; urgency=low

  * Actually fix CVE-2008-5262. Closes: #512122.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 17 Jan 2009 15:01:18 +0000

devil (1.7.5-3) unstable; urgency=low

  * 03_CVE-2008-5262.diff - Backport fix for CVE-2008-5262.
    Closes: #511844.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 15 Jan 2009 18:50:11 +0000

devil (1.7.5-2) unstable; urgency=low

  * add_missing_files.diff - Add files missed from tarball. Closes: #511297

 -- Bradley Smith <bradsmith@debian.org>  Sat, 10 Jan 2009 20:47:32 +0000

devil (1.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 31 Dec 2008 12:38:16 +0000

devil (1.7.4-1) experimental; urgency=low

  * New upstream release.
  * Update maintainer email.
  * 00_endian_and_ILvoid_fixes.diff - Refresh.
  * 01_fix_as-needed.diff - Refresh.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 30 Dec 2008 21:16:58 +0000

devil (1.7.2-1) experimental; urgency=low

  * New upstream release. Closes: #499626
  * Refresh 00_misc_fixes.diff and rename to 00_endian_and_ILvoid_fixes.diff
  * Refresh 01_fix_as-needed.diff
  * Re-add debian/watch file.
  * Add Homepage field.
  * Add Vcs-* fields.
  * Adjust descriptions to make the -dev package match the non-dev package.
  * Convert copyright to machine readable format.
  * Update compat version to 7 and upgrade debhelper build-depend to (>= 7).
  * Remove unneeded docs from installation.
  * Add descriptions to lintian override and patches.

 -- Bradley Smith <brad@brad-smith.co.uk>  Fri, 26 Sep 2008 15:25:45 +0100

devil (1.6.8-rc2-3) unstable; urgency=low

  * Fix typo in 00_misc_fixes.diff.
  * Remove broken watch file. Not adding a new one since upstreams
    repository is full of broken versioning.

 -- Bradley Smith <brad@brad-smith.co.uk>  Wed, 23 Jul 2008 21:45:53 +0100

devil (1.6.8-rc2-2) unstable; urgency=low

  * Build with -DGLX_GLXEXT_LEGACY to avoid implicit pointer conversion.
    Closes: #490975
  * Fix il_endian.h patch to fix FTBFS's on big endian machines.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 20 Jul 2008 14:21:18 +0100

devil (1.6.8-rc2-1) unstable; urgency=low

  * New Upstream Release.
  * New Maintainer. Closes: #471982.
  * Overhaul Packaging.
   - Update Standards-Version to 3.8.0.
    + Support parallel=N in DEB_BUILD_OPTIONS.
   - Correct section for libdevil-dev.
   - Remove autotools dependency, not longer needed.
   - Add quilt patch system.
    + 00_misc_fixes.diff - Move changes to top srcdir to patch.
    + 01_fix_as-needed.diff - Fix --as-needed flag in libtool.
   - Correct debian/copyright
   - Add watch file.
   - Replace obsolete dependency (libglut3-dev). Closes: #394488.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 06 Jul 2008 19:27:50 +0100

devil (1.6.7-5.2) unstable; urgency=low

  * NMU.
  * debian/control: Build-Depend on automake1.9 instead of automake1.8, to
    stop blocking the removal of automake1.8. (Closes: #472594)


