=== debian/control ===
Source: devil
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libpng-dev, zlib1g-dev, libjpeg-dev, libtiff-dev, libmng-dev, liblcms1-dev, freeglut3-dev, libgl1-mesa-dev | libgl-dev, libsdl1.2-dev, liballegro4-dev, autotools-dev
Standards-Version: 3.8.3
Homepage: http://openil.sourceforge.net/

Package: libdevil1c2
Section: libs
Architecture: any
Replaces: libdevil1
Conflicts: libdevil1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform image loading and manipulation toolkit
 Developer's Image Library (DevIL) is a programmer's toolkit which can load,
 save and convert a wide variety of image formats. It also offers basic
 manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use. Ultimate control of the images is
 left to the developer.

Package: libdevil-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdevil1c2 (= ${binary:Version}), libtiff-dev, liblcms1-dev, ${misc:Depends}
Description: Cross-platform image loading and manipulation toolkit
 Developer's Image Library (DevIL) is a programmer's toolkit which can
 load, save and convert a wide variety of image formats.  It also offers
 basic manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use.  Ultimate control of the images is
 left to the developer.
 .
 This package contains the development files.
