## devil 1.8.0.40.g6f3d5e9b%2Bdfsg

=== DevIL/test/Benchmark/CMakeLists.txt ===
add_executable(benchmark EXCLUDE_FROM_ALL benchmark.c)
target_link_libraries(benchmark IL ILU)
target_include_directories(benchmark PRIVATE ${DevIL_SOURCE_DIR}/../include)
