=== debian/changelog ===
devil (1.8.0.40.g6f3d5e9b+dfsg-3) unstable; urgency=medium

  * upload to unstable

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 18:10:00 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-3~exp2) experimental; urgency=medium

  * d/control: Build-Depends add dh-sequence-pkgkde-symbolshelper
  * d/libdevil1c2.symbols: update use pkgkde-symbolshelper batchpatch

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 16:10:00 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-3~exp1) experimental; urgency=medium

  * add d/p/fix-typo-ilu_err-french.h.patch
  * d/p/update-soname-verison.patch: update to "VERSION 1.1.1 SOVERSION 1"
  * add d/libdevil1c2.symbols
  * add d/NEWS for soname version update
  * Revert "update d/libdevil1c2.lintian-overrides"

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 11:22:20 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-2) experimental; urgency=medium

  * d/control: Build-Depends add cmake

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Apr 2025 18:10:06 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-1) experimental; urgency=medium

  * New maintainer, Closes: #674868
  * New upstream version 1.8.0.40.g6f3d5e9b+dfsg
  * add d/u/metadata
  * add d/libdevil-dev.examples
  * d/control:
      - Bump Standards-Version: 4.7.2
      - add Rules-Requires-Root: no
      - update libdevil-dev package Description
      - use https for Homepage
      - Build-Depends remove obsolete package libgl1-mesa-dev
  * delete all old patches, useless for new upstream version
  * add d/p/update-soname-verison.patch
  * d/rules:
      - simplify, buildsystem use cmake
      - add execute_after_dh_installdocs target
  * add d/clean
  * d/watch: update to version 4, use github HEAD, add dfsg suffix opts
  * update d/libdevil-dev.docs
  * update *.install, use ${DEB_HOST_MULTIARCH} path
  * d/copyright:
      - update year info, fix old-fsf-address
      - fix no-dep5-copyright
      - add Files-Excluded field
  * update d/libdevil1c2.lintian-overrides

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Apr 2025 17:10:12 +0800

devil (1.7.8-12) unstable; urgency=medium

  * QA Upload

  * Disable support for obsolete Allegro4 backend:
    not a single reverse-dependency in Debian use it.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 16:01:45 +0200

devil (1.7.8-11) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Moved to debhelper compat level 13.
  * Swapped alternative build dependencies libgl-dev and libgl1-mesa-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Apr 2024 01:30:49 +0200

devil (1.7.8-10) unstable; urgency=medium

  * QA upload.
  * Add GCC-5-FTBFS-il.h.patch and fix build error with GCC-5.
    (Closes: #777832)
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Tue, 07 Jul 2015 19:48:41 +0200

devil (1.7.8-9) unstable; urgency=medium

  * QA upload.
  * Add lcms2.patch.
    - Ensure that the build system detects, uses and links against lcms2.
      (Closes: #745518)

 -- Markus Koschany <apo@gambaru.de>  Mon, 18 Aug 2014 17:47:25 +0200

devil (1.7.8-8) unstable; urgency=medium

  * QA upload.
  * debian/control: Switch to liblcms2-dev. (Closes: #745518)
  * wrap-and-sort -sa.
  * Declare compliance with Debian policy 3.9.5.
  * debian/rules: Build with autotools_dev. (Closes: #744564)
  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Markus Koschany <apo@gambaru.de>  Mon, 02 Jun 2014 15:14:27 +0200
