## devil 1.8.0.40.g6f3d5e9b%2bdfsg

=== debian/control ===
Source: devil
Section: devel
Priority: optional
Maintainer: xiao sheng wen <atzlinux@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 freeglut3-dev,
 libgl-dev,
 libjpeg-dev,
 liblcms2-dev,
 libmng-dev,
 libpng-dev,
 libsdl1.2-dev,
 libsquish-dev,
 libtiff-dev,
 texinfo,
 zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://openil.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/devil
Vcs-Git: https://salsa.debian.org/debian/devil.git

Package: libdevil1c2
Section: libs
Architecture: any
Replaces:
 libdevil1
Conflicts:
 libdevil1
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Cross-platform image loading and manipulation toolkit
 Developer's Image Library (DevIL) is a programmer's toolkit which can load,
 save and convert a wide variety of image formats. It also offers basic
 manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use. Ultimate control of the images is
 left to the developer.

Package: libdevil-dev
Section: libdevel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libdevil1c2 (= ${binary:Version}),
 liblcms2-dev,
 libtiff-dev,
 ${misc:Depends}
Description: Cross-platform image loading and manipulation toolkit(development)
 Developer's Image Library (DevIL) is a programmer's toolkit which can
 load, save and convert a wide variety of image formats.  It also offers
 basic manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use.  Ultimate control of the images is
 left to the developer.
 .
 This package contains the development files.
