=== DevIL/examples/CMakeLists.txt ===
PROJECT(DevIL_Examples)



SUBDIRS( "GL Example" WindowsTest )
