=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libmng-dev,
  libpng-dev,
  libsdl1.2-dev,
- libsquish-dev,
  libtiff-dev,
  texinfo,
  zlib1g-dev
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://openil.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/devil
 Vcs-Git: https://salsa.debian.org/debian/devil.git
