=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=DevIL --buildsystem=cmake

execute_after_dh_installdocs:
	rm -fv debian/libdevil-dev/usr/share/doc/libdevil-dev/DevIL-docs/.cvsignore
