=== debian/watch ===
version=4
opts="pretty=describe, mode=git, pgpmode=none, dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg" \
https://github.com/DentonW/DevIL/ HEAD
